#include <lib/std.mi>

Global Container thisContainer;
Global AnimatedLayer ani;
Global Layout eql;
Global Group eqg;
Global Int whichWay;
Global Button backButton;

System.onScriptLoaded() {
  getContainer("ccz_browser").show();
  thisContainer = getContainer("main");
  thisContainer.switchToLayout("main1");
  eql = thisContainer.getLayout("eq");
  eqg = eql.getObject("eq2");
  ani = eql.getObject("anim");
  backButton = eqg.getObject("Back OFF");
}

backButton.onLeftButtonUp(int x, int y) {
  eqg.hide();
  whichWay = 1;
  ani = eql.getObject("anim");
  ani.setXMLParam("image", getPrivateString("skate", "mode", "mode1"));
  ani.setStartFrame(ani.getLength()-1); 
  ani.setEndFrame(0); 
  ani.gotoFrame(ani.getLength()-1);
  ani.show();
  ani.play();
}

thisContainer.onSwitchToLayout(Layout newlayout) {
  String meh = newLayout.getXMLParam("id");
  if(meh != "eq" && meh != "shade") {
    setPrivateString("skate", "mode", meh);
  } if(meh == "eq") {
    whichWay = 0;
    eqg.hide();
    ani.setXMLParam("image", getPrivateString("skate", "mode", "mode1"));
    ani.setStartFrame(0); 
    ani.setEndFrame(ani.getLength()-1); 
    ani.gotoFrame(0);
    ani.show();
    ani.play();
  }
}

ani.onStop() {
  if(whichWay == 0) {
    ani.hide();
    eqg.show();
  } else if(whichWay == 1) {
    thisContainer.switchToLayout(getPrivateString("skate", "mode", "mode1"));
  }
}